{% set constantes = 'HCUE\\AtencionMedicBundle\\Entity\\Constantes' %}
{% set peso = 0 %}
{% set imc = 0 %}
{% set talla = 0 %}
{% set sistolica = 0 %}
{% set sistolica_porc = 0 %}
{% set sistolica_color = '' %}
{% set diastolica = 0 %}
{% set diastolica_porc = 0 %}
{% set diastolica_color = '' %}
{% set saturacion = 0 %}
{% set saturacion_porc = 0 %}
{% set saturacion_color = '' %}

{% if status %}
    <div class="panel panel-default" id="panel-paciente">
        <div class="panel-heading">
            <h4 class="panel-title">
                <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseThree">
                    <i class="ace-icon fa fa-angle-right bigger-110" data-icon-hide="ace-icon fa fa-angle-down" data-icon-show="ace-icon fa fa-angle-right"></i>
                    Informativo
                </a>
            </h4>
        </div>
        <div class="panel-collapse collapse" id="collapseThree">
            <div class="panel-body">
                <div class="alert alert-info center">
                    {{ message }}
                </div>
            </div>
        </div>
        <script type="text/javascript">
            $(function () { $("#new-attention-button").attr('disabled', true); });
        </script>
    </div>

{% else %}
    <div class="panel panel-default" id="panel-paciente">
        <div class="panel-heading">
            <h4 class="panel-title">
                <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseThree">
                    <i class="ace-icon fa fa-angle-right bigger-110" data-icon-hide="ace-icon fa fa-angle-down" data-icon-show="ace-icon fa fa-angle-right"></i>
                    Datos de Paciente
                </a>
            </h4>
        </div>
        <div class="panel-collapse collapse" id="collapseThree">
            <div class="panel-body no-padding-left no-padding-right">
                <div class="col-sm-9" style="padding: 0px;">
                    <div class="col-sm-12 width-100">
                        <div class="widget-box">
                            <div class="widget-header">
                                <h6 class="widget-title" title="{{ paciente.nombrecompleto|title }}">
                                    {{ paciente.primernombre|title }}
                                    {{ paciente.apellidopaterno|title }}
                                </h6>
                                <div class="widget-toolbar">
                                    <a href="#" class="blue" data-action="collapse">
                                        <i class="ace-icon fa fa-chevron-up"></i>
                                    </a>
                                </div>
                                <div class="widget-toolbar no-border">
                        <span id="viewPaciente" class="badge badge-info" style="height: 25px; line-height: 22px; cursor: pointer;">
                            <i class="ace-icon fa fa-search-plus bigger-110"></i>
                            Ver más..
                        </span>
                                </div>
                            </div>
                            <div class="widget-body open">
                                <div class="widget-main">
                                    <div class="row" >
                                        <div class="col-md-4" style="height: 180px; display: flex; align-items: center; justify-content: center;">
                                            {% set srcfoto=asset('bundles/coregui/app/images/fotodefault.png') %}
                                            {% if paciente.archivo is defined and paciente.archivo is not empty  %}
                                                {% set srcfoto= 'data:image/jpeg;base64, ' ~ paciente.archivo  %}
                                            {% else %}
                                                {% set srcfoto = asset('bundles/coregui/app/images/fotodefault.png') %}
                                            {% endif %}
                                            <img class="img-thumbnail img-responsive" width="100px" src="{{ srcfoto }}" alt="Foto">
                                        </div>
                                        <div class="col-md-8">
                                            <input type="hidden" id="paciente_id" value="{{ paciente.id }}" />
                                            <p><span class="text-muted">Edad:</span> <b>{{ edad }}</b></p>
                                            <p><span class="text-muted">Sexo:</span> <b>{{ paciente.sexo }}</b></p>
                                            <p><span class="text-muted">F. nacimiento:</span>
                                                <b>
                                                    {% if paciente.fechanacimiento %}
                                                        {{ paciente.fechanacimiento | date("Y-m-d")}}
                                                    {% endif %}
                                                </b>
                                            </p>
                                            <p><span class="text-muted">H. clínica:</span> <b>{{ paciente.numerohistoriaclinica }}</b></p>
                                            {#<p><span class="text-muted">Afiliación:</span> <b id="seguro_social"></b></p>#}
                                            <p><span class="text-muted">Grupo Sanguíneo:</span> <b>{{ paciente.ctgruposanguineo }}</b></p>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-9 grid1">
                                            <div class="row" >
                                                <div class="center">
                                                    <div class="col-md-6 grid2">
                                                        <span class="btn btn-sm btn-white no-hover no-border" style="cursor:text;">
                                                            <span class="bigger-110"><strong>Peso:</strong></span>
                                                            <br>
                                                            <span class="bigger-150 green">
                                                                {% if mediciones[constant(constantes~'::CT_PESO')] is defined %}
                                                                    {% set peso = mediciones[constant(constantes~'::CT_PESO')]['valor'] %}
                                                                {% endif %}
                                                                {{ peso }} Kg
                                                            </span>
                                                        </span>
                                                    </div>
                                                    <div class="col-md-6 grid2">
                                                        <span class="btn btn-sm btn-white no-hover no-border" style="cursor:text;">
                                                            <span class="bigger-110"><strong>I.M.C:</strong></span>
                                                            <br>
                                                            <span class="bigger-150 green">
                                                                {% if mediciones[constant(constantes~'::CT_IMC')] is defined %}
                                                                    {% set imc = mediciones[constant(constantes~'::CT_IMC')]['valor'] %}
                                                                {% endif %}
                                                                {{ imc }} Kg/m
                                                            </span>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="row">
                                                <div class="center">
                                                    <div class="col-md-4">
                                                        <span class="btn btn-sm btn-white no-hover no-border" style="cursor:text;">
                                                            <span class="bigger-110"><strong>Presión arterial:</strong></span>
                                                            <br>
                                                            <span class="bigger-150 green">
                                                                {% if mediciones[constant(constantes~'::CT_PRESION_SISTOLICA')] is defined %}
                                                                    {% set sistolica = mediciones[constant(constantes~'::CT_PRESION_SISTOLICA')]['valor'] %}
                                                                    {% set max_sistolica = signos[constant(constantes~'::CT_PRESION_SISTOLICA')]['max'] %}
                                                                    {% set sistolica_porc = (sistolica*100)/max_sistolica %}
                                                                    {% set sistolica_color = mediciones[constant(constantes~'::CT_PRESION_SISTOLICA')]['color'] %}
                                                                {% endif %}
                                                                {% if mediciones[constant(constantes~'::CT_PRESION_ASISTOLICA')] is defined %}
                                                                    {% set diastolica = mediciones[constant(constantes~'::CT_PRESION_ASISTOLICA')]['valor'] %}
                                                                    {% set max_diastolica = signos[constant(constantes~'::CT_PRESION_ASISTOLICA')]['max'] %}
                                                                    {% set diastolica_porc = (diastolica*100)/max_diastolica %}
                                                                    {% set diastolica_color = mediciones[constant(constantes~'::CT_PRESION_ASISTOLICA')]['color'] %}
                                                                {% endif %}
                                                                {{ sistolica }}/{{ diastolica }} mm
                                                            </span>
                                                        </span>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="progress progress-striped no-margin active">
                                                            <div class="progress-bar" style="width:{{ sistolica_porc|round(2, 'floor') }}%; background-color: {{ (sistolica_color == '') ? '#59a84b' : sistolica_color }}"></div>
                                                        </div>
                                                        <div class="text-center" style="padding: 10px">(Sistólica)</div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="progress progress-striped no-margin active">
                                                            <div class="progress-bar" style="width:{{ diastolica_porc|round(2, 'floor') }}%; background-color: {{ (diastolica_color == '') ? '#59a84b' : diastolica_color }}"></div>
                                                        </div>
                                                        <div class="text-center" style="padding: 10px">(Diastólica)</div>
                                                    </div>
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="row">
                                                <div class="center">
                                                    <div class="col-md-4">
                                                        <span class="btn btn-sm btn-white no-hover no-border" style="cursor:text;">
                                                            <span class="bigger-100"><strong>Saturación de oxígeno</strong></span>
                                                            <br>
                                                            <span class="bigger-150 green">
                                                                {% if mediciones[constant(constantes~'::CT_SATURACION')] is defined %}
                                                                    {% set saturacion = mediciones[constant(constantes~'::CT_SATURACION')]['valor'] %}
                                                                    {% set max_saturacion = signos[constant(constantes~'::CT_SATURACION')]['max'] %}
                                                                    {% set saturacion_porc = (saturacion*100)/max_saturacion %}
                                                                    {% set saturacion_color = mediciones[constant(constantes~'::CT_SATURACION')]['color'] %}
                                                                {% endif %}
                                                                {{ saturacion }} %
                                                            </span>
                                                        </span>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="progress progress-striped active">
                                                            <div class="progress-bar"  style="width:{{ saturacion_porc }}%; background-color:{{ (saturacion_color == '') ? '#59a84b' : saturacion_color }}"></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-3 grid4 text-center">
                                            {% if edad_paciente > 12 %}
                                                {% if paciente.ctsexo_id ==  constant(constantes~'::CT_SEXO_HOMBRE') %}
                                                    <img src="{{ asset('/bundles/hcueatencionmedica/images/hombre_talla.png') }}" width="90px">
                                                {% else %}
                                                    <img src="{{ asset('/bundles/hcueatencionmedica/images/mujer_talla.png') }}" width="80px">
                                                {% endif %}
                                            {% else %}
                                                <img src="{{ asset('/bundles/hcueatencionmedica/images/nino_talla.png') }}" width="90px">
                                            {% endif %}
                                            <span class="btn btn-sm btn-white no-hover no-border" style="cursor:text;">
                                                <span class="bigger-100"><strong>Talla:</strong></span>
                                                <br>
                                                <span class="bigger-120 green">
                                                    {% if mediciones[constant(constantes~'::CT_TALLA')] is defined %}
                                                        {% set talla = mediciones[constant(constantes~'::CT_TALLA')]['valor'] %}
                                                    {% endif %}
                                                    {{ talla }} cm
                                                </span>
                                            </span>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 width-100">
                        <div class="widget-box collapsed">
                            <div class="widget-header">
                                <h5 class="widget-title">Historial de atenciones</h5>
                                <div class="widget-toolbar">
                                    <a href="#hisatenciones" class="blue" data-action="collapse" data-load="false" data-tab-url="{{ path('hcue_amed_paciente_hisatenciones', {'paciente_id': paciente.id}) }}">
                                        <i class="ace-icon fa fa-chevron-down"></i>
                                    </a>
                                </div>
                            </div>
                            <div class="widget-body">
                                <div id="hisatenciones" class="widget-main" style="max-height: 450px; overflow: auto">

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 width-100">
                        <div class="widget-box collapsed">
                            <div class="widget-header">
                                <h5 class="widget-title">Cronología</h5>
                                <div class="widget-toolbar">
                                    {#<a href="#cronologia" data-action="reload" disabled="true">#}
                                    {#<i class="ace-icon fa fa-refresh green"></i>#}
                                    {#</a>#}
                                    <a href="#cronologia" class="blue" data-action="collapse" data-load="false" data-tab-url="{{ path('hcue_amed_paciente_cronologia', {'paciente_id': paciente.id}) }}">
                                        <i class="ace-icon fa fa-chevron-down"></i>
                                    </a>
                                </div>
                            </div>
                            <div class="widget-body">
                                <div id="cronologia" class="widget-main" style="max-height: 450px; overflow: auto">

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-3" style="padding: 0px;">
                    <div class="col-sm-12 width-100">
                        {{render(path('hcue_amed_antecedente_alergicos',{'paciente_id': paciente.id, 'max':5}))}}
                    </div>
                    <div class="col-sm-12 width-100">
                        {{render(path('hcue_vacunacion_dashboard_porcentaje',{'paciente_id': paciente.id}))}}
                    </div>
                </div>
            </div>
        </div>
        <style type="text/css">
            .progress[data-percent]::after{ color: #000000; }
        </style>
        <script type="text/javascript">
            $(function () {
                pacienteName = '{{ paciente.nombrecompleto|title }}';
                iniciadas = {{ iniciadas }};
                finalizadas = {{ finalizadas }};

                $('.widget-box').on('shown.ace.widget reloaded.ace.widget', function(event) {

                    var type = event.type;
                    var action = $(this).find("a[data-action='collapse']");
                    var href = action.attr('href');
                    var url = action.attr('data-tab-url');
                    var data_load = action.attr('data-load');

                    if( ( url != undefined && data_load == 'false' ) || type == 'reloaded' ) {

                        if( type == 'shown' ) {
                            $(href).html("<div class='center bigger-140' id='process_div'>Procesando ..... <br><i class='ace-icon fa fa-spinner fa-spin green bigger-170'></i></div>");
                        }

                        $(href).load(url, function () {
                            if( type == 'shown' ){
                                action.attr('data-load', true).attr('disabled', false);
                            }
                        });

                    }

                })
            });
        </script>
    </div>

{% endif %}